Topic: Angular 11 and MDB version

misuk11 free asked 1 month ago


what version of MDB works with angular 11 ? Ive followed the installation instructions but i get a whole bunch of errors

'error TS2694 has no exported member eeFactoryDeclaration'

this seems to suggest an incompatibility ?


Arkadiusz Idzikowski staff answered 1 month ago


If you use MDB5 Angular (with Bootstrap 5) then the last version compatible with Angular 11 was v1.0.0-beta5. We recommend updating to version 1.5.1 and migrating to Angular 12 or using Angular 13 and the latest (v2.3.0) version of MDB5 Angular.



Please insert min. 20 characters.

FREE CONSULTATION

Hire our experts to build a dedicated project. We'll analyze your business requirements, for free.

Status

Answered

Specification of the issue

  • User: Free
  • Premium support: No
  • Technology: MDB Angular
  • MDB Version: MDB5 2.3.0
  • Device: pc
  • Browser: chrome
  • OS: windows 10
  • Provided sample code: No
  • Provided link: No